<?php namespace SokoWeb\Interfaces\Database;

interface IAuditLogger
{
    public function logInsert(string $localTable, $localId): void;

    public function logUpdate(string $localTable, $localId, array $diff): void;

    public function logDelete(string $localTable, $localId, array $attributes): void;
}
